Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.properties
Class WhiteSpaceShorthandParser

    java.lang.Object
      org.apache.fop.fo.properties.WhiteSpaceShorthandParser

All Implemented Interfaces:
  ShorthandParser

    public class WhiteSpaceShorthandParser

extends java.lang.Object
implements ShorthandParser

Shorthand parser for the white-space property; Sets the values for white-space-treament, linefeed-treatment, white-space-collapse and wrap-option

Constructor Summary
`WhiteSpaceShorthandParser()`

Method Summary
`Property` | `getValueForProperty(int propId, Property property, PropertyMaker maker, PropertyList propertyList)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WhiteSpaceShorthandParser

    public WhiteSpaceShorthandParser()

Method Detail

### getValueForProperty

    public Property getValueForProperty(int propId,
                                        Property property,
                                        PropertyMaker maker,
                                        PropertyList propertyList)
                                 throws PropertyException

  Specified by:
    `getValueForProperty` in interface `ShorthandParser`
  Parameters:
    `propId` - the property ID in the Constants interface
    `property` - from which value is obtained
    `maker` - Maker object for the Property
    `propertyList` - list of properties
  Returns:
    Property object corresponding to propName
  Throws:
    `PropertyException` - in case a property exception occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.